AJUDA COM ANDROID STUDIO

 Tópico anterior Próximo tópico Novo tópico

AJUDA COM ANDROID STUDIO

MOBILE

 Compartilhe  Compartilhe  Compartilhe
#479058 - 11/01/2018 22:52:11

FABRICIOWEB
BELO HORIZONTE
Cadast. em:Novembro/2011


Olá galera, finalizei meu aplicativo de celular e joguei ele no play store. Desenvolvi ele no Android studio, mas não oque esta acontecendo meu aplicativo so fica falando que não é compatível com a versão do android la no playstore.  Segue minha configuração do gradle sera que alguém aqui consegue me ajudar ?

apply plugin: 'com.android.application'

android {
    compileSdkVersion 24
    buildToolsVersion '26.0.2'

    defaultConfig {
        applicationId "nome do link do meu app"
        minSdkVersion 16
       // targetSdkVersion 24
        versionCode 1000
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
        debug {
            debuggable false
        }
    }
}

dependencies {
    implementation 'com.android.support:support-v4:25.4.0'
    compile fileTree(include: ['*.jar'], dir: 'libs')
    testCompile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:25.4.0'
    compile 'com.android.support:design:25.4.0'
    implementation 'com.android.support.constraint:constraint-layout:1.0.2'
}






#479079 - 12/01/2018 15:02:51

GUIMORAES
ITAPETININGA
Cadast. em:Agosto/2009


O erro ocorre na publicação ou na instalação?




#479083 - 12/01/2018 16:01:22

LUIZCOMINO
SAO PAULO
Cadast. em:Maio/2009


Na verdade não é um problema e sim que você compilou uma versão de sdk superior a que você tem no seu aparelho android.

"E conhecereis a verdade, e a verdade vos libertará. João 8:32"


#479085 - 12/01/2018 16:28:26

FABRICIOWEB
BELO HORIZONTE
Cadast. em:Novembro/2011


na verdade não tem erro o sistema compila normalmente mas no plystore não fica compatível com nenhuma versão do android
https://play.google.com/store/apps/details?id=br.com.ideiaslogo

ja tentei de tudo



#479086 - 12/01/2018 16:49:17

GUIMORAES
ITAPETININGA
Cadast. em:Agosto/2009


Não sei se isto ajuda, mas este é a minha configuração do gradle, e este aplicativo se encontra disponibilizado na loja.

  

apply plugin: 'com.android.application'

android {
    compileSdkVersion 24
    buildToolsVersion '25.0.0'
    defaultConfig {
        applicationId 'app'
        minSdkVersion 17
        targetSdkVersion 24
        versionCode 2
        versionName '1.1'
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
    productFlavors {
    }
}

dependencies {
    compile fileTree(include: ['*.jar'], dir: 'libs')
    compile files('libs/ksoap2-android-assembly-2.6.4-jar-with-dependencies.jar')
    compile files('libs/AndroidMask-1.0.0.jar')
    compile 'com.google.android.gms:play-services-appindexing:8.4.0'
    compile 'com.android.support.constraint:constraint-layout:1.0.2'
    compile 'junit:junit:4.12'
    compile 'com.android.support:appcompat-v7:24.2.1'
    compile 'com.amulyakhare:com.amulyakhare.textdrawable:1.0.1'
    compile 'com.android.support:recyclerview-v7:23.3.0'
    compile 'com.android.support:support-v4:23.3.0'
    compile 'com.android.support:support-annotations:23.3.0'
    compile 'com.android.support:design:23.3.0'
    compile 'com.google.zxing:core:3.0.1'

}






#479116 - 15/01/2018 08:08:47

FABRICIOWEB
BELO HORIZONTE
Cadast. em:Novembro/2011


Galera resolvi dessa forma no manifeste não tinha colocado com false.
Isso foi muito foda dias tentando resolver, com uma linha de codigo resolvi,


    <uses-feature android:name="android.hardware.camera2.full"
        android:required="false" />



 Tópico anterior Próximo tópico Novo tópico


Tópico encerrado, respostas não sao permitidas
Encerrado por FABRICIOWEB em 15/01/2018 08:09:01